<?php
/**
* リクエストイベントを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface IRequestEvent extends IEvent
{
	/**
	 * イベントを初期化する
	 */
	public function init( Config $config );

	/**
	 * パラメータを取得する
	 */
	public function get( String $key );

	/**
	 * パラメータ名の一覧を取得する
	 */
	public function getKeys();

}

return __FILE__;